.reveal{opacity: 0;transform: translateY(40px);transition: all 0.8s ease;}
.reveal.active{opacity: 1;transform: translateY(0);}
.global-popup{position: fixed;inset: 0;z-index: 9999;display: none;}
.global-popup.active{display: block;}
.global-popup-overlay{position: absolute;inset: 0;background: rgba(0, 0, 0, 0.6);}
.global-popup-box{position: relative;z-index: 2;max-width: 600px;margin: 8vh auto;background: #fff;padding: 40px;border-radius: 20px;}
.popup-close-btn{position: absolute;top: 15px;right: 15px;background: transparent;border: 0;font-size: 28px;cursor: pointer;}
@keyframes logoMoveLeft {from {transform: translateX(0);}to {transform: translateX(-50%);}}
@keyframes logoMoveRight {from {transform: translateX(-50%);}to {transform: translateX(0);}}
@keyframes animate1 {
    0% {
        transform: translateX(-100%)
    }

    100% {
        transform: translateX(100%)
    }
}

@keyframes animate2 {
    0% {
        transform: translateY(-100%)
    }

    100% {
        transform: translateY(100%)
    }
}

@keyframes animate3 {
    0% {
        transform: translateX(100%)
    }

    100% {
        transform: translateX(-100%)
    }
}

@keyframes animate4 {
    0% {
        transform: translateY(100%)
    }

    100% {
        transform: translateY(-100%)
    }
}

.reveal-up {
  opacity: 0;
  transform: translateY(35px);
  transition: all 0.7s ease;
}

.reveal-up.active {
  opacity: 1;
  transform: translateY(0);
}